## uxlaunch 0.22.5

=== Makefile ===
VERSION = 0.22.5

CC := gcc

all: uxlaunch

install: uxlaunch
	mkdir -p $(DESTDIR)/usr/sbin \
	         $(DESTDIR)/etc/sysconfig/ \
	         $(DESTDIR)/usr/share/man/man1/
	install uxlaunch $(DESTDIR)/usr/sbin/
	[ -f $(DESTDIR)/etc/sysconfig/uxlaunch ] || \
	    install uxlaunch.sysconfig $(DESTDIR)/etc/sysconfig/uxlaunch
	install uxlaunch.1 $(DESTDIR)/usr/share/man/man1/uxlaunch.1

OBJS := uxlaunch.o consolekit.o dbus.o desktop.o misc.o pam.o user.o xserver.o \
	lib.o options.o oom_adj.o

CFLAGS += -Wall -W -Os -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wformat -fno-common \
	 -Wimplicit-function-declaration  -Wimplicit-int \
	`pkg-config --cflags dbus-1` \
	`pkg-config --cflags ck-connector` \
	`pkg-config --cflags glib-2.0` \
	-D VERSION=\"$(VERSION)\"

LDADD  += `pkg-config --libs dbus-1` \
	  `pkg-config --libs ck-connector` \
	  `pkg-config --libs glib-2.0` \
	  -lpam -lpthread -lrt -lXau

%.o: %.c uxlaunch.h Makefile
	@echo "  CC  $<"
	@$(CC) $(CFLAGS) -c -o $@ $<

uxlaunch: $(OBJS) Makefile
	@echo "  LD  $@"
	@$(CC) -o $@ $(OBJS) $(LDADD) $(LDFLAGS)

clean:
	rm -rf *.o *~ uxlaunch

dist:
	git tag v$(VERSION)
	git archive --format=tar --prefix="uxlaunch-$(VERSION)/" v$(VERSION) | \
		gzip > uxlaunch-$(VERSION).tar.gz

## uxlaunch 0.50

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.22.5
+VERSION = 0.50
 
 CC := gcc
 
@@ -8,13 +8,13 @@
 	mkdir -p $(DESTDIR)/usr/sbin \
 	         $(DESTDIR)/etc/sysconfig/ \
 	         $(DESTDIR)/usr/share/man/man1/
-	install uxlaunch $(DESTDIR)/usr/sbin/
+	install -m0755  uxlaunch $(DESTDIR)/usr/sbin/
 	[ -f $(DESTDIR)/etc/sysconfig/uxlaunch ] || \
-	    install uxlaunch.sysconfig $(DESTDIR)/etc/sysconfig/uxlaunch
-	install uxlaunch.1 $(DESTDIR)/usr/share/man/man1/uxlaunch.1
+	    install -m0644 uxlaunch.sysconfig $(DESTDIR)/etc/sysconfig/uxlaunch
+	install -m0644 uxlaunch.1 $(DESTDIR)/usr/share/man/man1/uxlaunch.1
 
 OBJS := uxlaunch.o consolekit.o dbus.o desktop.o misc.o pam.o user.o xserver.o \
-	lib.o options.o oom_adj.o
+	lib.o options.o oom_adj.o efs.o
 
 CFLAGS += -Wall -W -Os -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wformat -fno-common \
 	 -Wimplicit-function-declaration  -Wimplicit-int \

=== debian/changelog ===
uxlaunch (0.50-0ubuntu1) maverick; urgency=low

  * initial packaging for maverick

 -- Alexander Sack <asac@linaro.org>  Mon, 21 Jun 2010 14:34:34 +0200

=== debian/control ===
Source: uxlaunch
Build-Depends: debhelper (>= 7.0.50~),
	libck-connector-dev,
	libdbus-1-dev,
	libglib2.0-dev,
	libpam0g-dev,
	libxau-dev
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Sack <asac@linaro.org>
Standards-Version: 3.8.4

Package: uxlaunch
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: quickly start X and a user desktop
 Uxlaunch is a generic X session launch utility, designed to
 quickly start X and a user desktop.

=== debian/rules ===
#!/usr/bin/make -f

export CONF_DIR=/etc/uxlaunch/

%:
	dh $@

override_dh_installinit:
	dh_installinit --no-start

## uxlaunch 0.60

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,22 @@
-VERSION = 0.50
+VERSION = 0.60
 
 CC := gcc
 
-all: uxlaunch
+all: uxlaunch uxlaunch.1.gz
+
+uxlaunch.1.gz: uxlaunch.1
+	gzip -c uxlaunch.1 > uxlaunch.1.gz
 
 install: uxlaunch
 	mkdir -p $(DESTDIR)/usr/sbin \
 	         $(DESTDIR)/etc/sysconfig/ \
-	         $(DESTDIR)/usr/share/man/man1/
+	         $(DESTDIR)/usr/share/man/man1/ \
+	         $(DESTDIR)/usr/share/uxlaunch
 	install -m0755  uxlaunch $(DESTDIR)/usr/sbin/
 	[ -f $(DESTDIR)/etc/sysconfig/uxlaunch ] || \
 	    install -m0644 uxlaunch.sysconfig $(DESTDIR)/etc/sysconfig/uxlaunch
-	install -m0644 uxlaunch.1 $(DESTDIR)/usr/share/man/man1/uxlaunch.1
+	install -m0644 uxlaunch.1.gz $(DESTDIR)/usr/share/man/man1/uxlaunch.1.gz
+	install -m0644 dmi-dpi $(DESTDIR)/usr/share/uxlaunch/
 
 OBJS := uxlaunch.o consolekit.o dbus.o desktop.o misc.o pam.o user.o xserver.o \
 	lib.o options.o oom_adj.o efs.o
@@ -30,6 +35,7 @@
 
 %.o: %.c uxlaunch.h Makefile
 	@echo "  CC  $<"
+	@[ ! -x /usr/bin/cppcheck ] || /usr/bin/cppcheck -q $<
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
 uxlaunch: $(OBJS) Makefile
@@ -37,7 +43,7 @@
 	@$(CC) -o $@ $(OBJS) $(LDADD) $(LDFLAGS)
 
 clean:
-	rm -rf *.o *~ uxlaunch
+	rm -rf *.o *~ uxlaunch uxlaunch.1.gz
 
 dist:
 	git tag v$(VERSION)

=== debian/changelog ===
uxlaunch (0.60-1ubuntu1) precise; urgency=low

  * Start uxlaunch on udev-fallback-graphics, not on udevtrigger.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2012 18:06:02 -0700

uxlaunch (0.60-1) unstable; urgency=low

  * New 0.60 upstream release.
    - Refresh patches.

  [ Didier Raboud ]
  * Add a Depends on x11-sxerver-utils to make sure xhost is available.

  [ Fathi Boudra ]
  * debian/rules: Fix typo in Ubuntu-specific upstart file installation.

  [ Bernd Wachter ]
  * Add patch to "Close logfile before exec(), replace superfluous
    system()" from an upstream merge request.

 -- Didier Raboud <odyx@debian.org>  Mon, 30 May 2011 17:10:54 +0200

uxlaunch (0.59.1-1) unstable; urgency=low

  * New 0.59.1 (MeeGo 1.2) upstream release.
    - Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Mon, 23 May 2011 00:20:04 +0200

uxlaunch (0.59-4) unstable; urgency=low

  * Recommend xserver-xorg instead of xserver-xorg-core, thanks to
    Julien Cristau.

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Apr 2011 18:00:36 +0200

uxlaunch (0.59-3) unstable; urgency=low

  * Add x11-common to Depends and xserver-xorg-core to Recommends; this
    fixes the minimal chroot installation error pointed out by piuparts.

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Apr 2011 15:30:30 +0200

uxlaunch (0.59-2) unstable; urgency=low

  [ Didier Raboud ]
  * Limit architecture to linux-any as the current code is not ported.

  [ Nobuhiro Iwamatsu ]
  * Add ioprio_set_support.patch to build on all Linux architectures
    (Closes: #624272).

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Apr 2011 11:22:03 +0200

uxlaunch (0.59-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #622737)

  * Start from Ubuntu packaging (thanks!), with those changes:
    - Set myself as Uploader and put under pkg-meego umbrella.
    - Refresh patches for 0.59.
    - Add a patch to fix the minor manpage issues.
    - Bump Standards-Version to 3.9.2 without changes needed.
    - Ship uxlaunch virtual facility for insserv.
    - Add a lintian override for not using po-debconf.
    - Document packaging licensing.
    - Add a Debian init script, only install the upstart job in distributions
      derived from Ubuntu.
    - Write the X pid to disk, allow init script to kill (root) X after
      killing (user) uxlaunch.
    - Add a debian/watch.
    - Enhance description with text from the manpage.
    - Add Vcs-* fields.

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Apr 2011 15:04:40 +0200

=== debian/control ===
Source: uxlaunch
Build-Depends: debhelper (>= 7.0.50~),
 libck-connector-dev,
 libdbus-1-dev,
 libglib2.0-dev,
 libpam0g-dev,
 libxau-dev
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MeeGo packaging Team <pkg-meego-maintainers@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Standards-Version: 3.9.2
Homepage: http://meego.gitorious.org/meego-os-base/uxlaunch
Vcs-Git: git://git.debian.org/pkg-meego/uxlaunch.git
Vcs-Browser: http://git.debian.org/?p=pkg-meego/uxlaunch.git

Package: uxlaunch
Depends: ${shlibs:Depends}, ${misc:Depends}, x11-common, x11-xserver-utils
Recommends: xserver-xorg
Architecture: linux-any
Description: quick X and user desktop starter
 Uxlaunch is a generic X session launch utility, designed to
 quickly start X and a user desktop.
 .
 uxlaunch is a program that initiates the X server and desktop
 environment. It starts the main component of the desktop up
 as soon as the X server is ready and relies on autostart .desktop
 files for other applications to be started. uxlaunch was designed
 to start the Moblin desktop but can launch GNOME, Xfce and other
 desktop sessions as well.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_Ubuntu := $(shell dpkg-vendor --derives-from Ubuntu && echo "yes" || echo "no")

export CONF_DIR=/etc/uxlaunch/
export XPID_FILE=/var/run/uxlaunch.X.pid

%:
	dh $@

override_dh_installinit:
ifeq ($(derives_from_Ubuntu),yes)
	cd debian/; ln -s ubuntu/uxlaunch.upstart .
endif
	dh_installinit --no-start
ifeq ($(derives_from_Ubuntu),yes)
	cd debian/; rm uxlaunch.upstart
endif
	install -p -D -m644 debian/uxlaunch.insserv debian/uxlaunch/etc/insserv.conf.d/uxlaunch
